Skip to content

Search invoices

GET/invoices/search

Costs 1 rate-limit point · Rate limits

Search invoices by customer name, email, invoice number, order name, or country.

Query parameters

  • qstringRequired

    Search query string.

  • pageinteger

    Page number.

    Default 1
  • per_pageinteger

    Items per page (max 250).

    Default 25

Returns

  • invoicesarray of objects
    Show 12 child attributesHide child attributes
    • idinteger
      Example: 48213
    • slugstring

      Unique identifier for API calls.

    • numberstring

      Display number (e.g. INV-001).

    • invoice_typestring
      Example: invoice
      One of invoicequotepro_formashopify_order
    • total_pricestring

      Decimal string.

    • currencystring

      ISO 4217 code.

    • financial_statusstring
      Example: paid
    • order_namestring

      Shopify order name (e.g. #1042).

    • customer_namestring
      Example: Jane Doe
    • customer_emailstring
      Example: jane.doe@example.com
    • created_atstring
      Example: 2026-01-15T09:31:12Z
    • updated_atstring
      Example: 2026-01-15T09:31:40Z
  • metaobject
    Show 4 child attributesHide child attributes
    • totalinteger
      Example: 1
    • pageinteger
      Example: 1
    • per_pageinteger
      Example: 25
    • total_pagesinteger
      Example: 1

Errors

401

Missing or invalid API key.

403

The store is not on a paid plan. API access requires a paid Invoice Falcon plan.

422

Request could not be processed.

429

Rate limit exceeded. Check X-RateLimit-Reset header.

GET/invoices/search
curl "https://app.invoicefalcon.com/api/v1/external/invoices/search?q=Q" \
  -H "X-Auth-Token: $INVOICE_FALCON_API_KEY"
Response
{
  "invoices": [
    {
      "id": 48213,
      "slug": "k7xq2m9d4r",
      "number": "INV-1042",
      "invoice_type": "invoice",
      "total_price": "100.94",
      "currency": "USD",
      "financial_status": "paid",
      "order_name": "#1042",
      "customer_name": "Jane Doe",
      "customer_email": "jane.doe@example.com",
      "created_at": "2026-01-15T09:31:12Z",
      "updated_at": "2026-01-15T09:31:40Z"
    }
  ],
  "meta": {
    "total": 1,
    "page": 1,
    "per_page": 25,
    "total_pages": 1
  }
}